/*
 * @(#)src/classes/sov/java/net/SocketUtil.java, net, audev, 20070117 1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */


/*
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date    Origin   Description
 * ------ ------   -------- ----------------------------------------------------
 * 087365 18052005 mpartrid Module created. 
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION: Class containing Socket utility methods.
 * ===========================================================================
 */
 
package java.net;

class SocketUtil
{
    public SocketUtil()
    {
    }

    /**
     * Load net library into runtime.
     */
    static {
        java.security.AccessController.doPrivileged(
                  new sun.security.action.LoadLibraryAction("net"));
    }

    static private native long getThreadTag();
    static private native boolean isBlocked(long tag);
    static private native boolean interrupt(long tag);

}
